Bug 122012 - "Integral" 256MB USB 2.0 Flash Drive not detected
"Integral" 256MB USB 2.0 Flash Drive not detected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 14:20 EDT by Matthew Mott
Modified: 2014-03-16 22:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 17:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Mott 2004-04-29 14:20:43 EDT
Description of problem:
"Integral" USB 2.0 Flash Drive not recognised.

Version-Release number of selected component (if applicable):
hwdata-0.117-1

How reproducible:
Always

Steps to Reproduce:
1. Insert an "Integral USB 2.0 Flash Drive" into a USB port.
2. Examine /etc/fstab
  
Actual results:
No entry for /dev/sdb1 appears.

Expected results:
An entry should be created for /dev/sdb1 and the drive should be
mountable.

Additional info:
Output from kudzu -p -b scsi:

class: HD
bus: SCSI
detached: 0
device: sdb
driver: ignore
desc: "Unknown USB DISK Pro"
host: 4
id: 0
channel: 0
lun: 0
generic: sg3

Should be mounted under partition 1. Adding the string "USB DISK" to
updfstab.conf.default under Flash or Memstick sections solves the problem
Comment 1 Bill Nottingham 2004-09-17 17:27:26 EDT
Unfortunately, 'USB Disk' isn't really specific enough for what
updfstab uses.

You may want to try hal and gnome-volume-manager from the current
development tree; it has a newer way of handling removable media.

Note You need to log in before you can comment on or make changes to this bug.